module curve_number_table
    implicit none
    !From NEH-4, Table 10-1.  Values below CNII  = 30 are interpolated where needed
    !The array index represents the CN II value, Values for CN I and CN III are found here for each CN II value
    
    real,parameter,dimension(100) :: cn_1 = (/   &
    0.4  ,  &  !cn_1(1)  = 
    0.8  ,  &  !cn_1(2)  = 
    1.2  ,  &  !cn_1(3)  = 
    1.6  ,  &  !cn_1(4)  = 
    2.0  ,  &  !cn_1(5)  = 
    2.4  ,  &  !cn_1(6)  = 
    2.8  ,  &  !cn_1(7)  = 
    3.2  ,  &  !cn_1(8)  = 
    3.6  ,  &  !cn_1(9)  = 
    4.0  ,  &  !cn_1(10) = 
    4.4  ,  &  !cn_1(11) = 
    4.8  ,  &  !cn_1(12) = 
    5.2  ,  &  !cn_1(13) = 
    5.6  ,  &  !cn_1(14) = 
    6.0  ,  &  !cn_1(15) = 
    6.6  ,  &  !cn_1(16) = 
    7.2  ,  &  !cn_1(17) = 
    7.8  ,  &  !cn_1(18) = 
    8.4  ,  &  !cn_1(19) = 
    9.0  ,  &  !cn_1(20) = 
    9.6  ,  &  !cn_1(21) = 
    10.2  ,  & !cn_1(22) = 
    10.8  ,  & !cn_1(23) = 
    11.4  ,  & !cn_1(24) = 
    12.0  ,  & !cn_1(25) = 
    12.6  ,  & !cn_1(26) = 
    13.2  ,  & !cn_1(27) = 
    13.8  ,  & !cn_1(28) = 
    14.4  ,  & !cn_1(29) =     
    15.0  ,  & !cn_1(30) = 
    16.0  ,  & !cn_1(31) = 
    16.0  ,  & !cn_1(32) = 
    17.0  ,  & !cn_1(33) = 
    18.0  ,  & !cn_1(34) = 
    18.0  ,  & !cn_1(35) = 
    19.0  ,  & !cn_1(36) = 
    20.0  ,  & !cn_1(37) = 
    21.0  ,  & !cn_1(38) = 
    21.0  ,  & !cn_1(39) = 
    22.0  ,  & !cn_1(40) = 
    23.0  ,  & !cn_1(41) = 
    24.0  ,  & !cn_1(42) = 
    25.0  ,  & !cn_1(43) = 
    25.0  ,  & !cn_1(44) = 
    26.0  ,  & !cn_1(45) = 
    27.0  ,  & !cn_1(46) = 
    28.0  ,  & !cn_1(47) = 
    29.0  ,  & !cn_1(48) = 
    30.0  ,  & !cn_1(49) = 
    31.0  ,  & !cn_1(50) = 
    31.0  ,  & !cn_1(51) = 
    32.0  ,  & !cn_1(52) = 
    33.0  ,  & !cn_1(53) = 
    34.0  ,  & !cn_1(54) = 
    35.0  ,  & !cn_1(55) = 
    36.0  ,  & !cn_1(56) = 
    37.0  ,  & !cn_1(57) = 
    38.0  ,  & !cn_1(58) = 
    39.0  ,  & !cn_1(59) = 
    40.0  ,  & !cn_1(60) = 
    41.0  ,  & !cn_1(61) = 
    42.0  ,  & !cn_1(62) = 
    43.0  ,  & !cn_1(63) = 
    44.0  ,  & !cn_1(64) = 
    45.0  ,  & !cn_1(65) = 
    46.0  ,  & !cn_1(66) = 
    47.0  ,  & !cn_1(67) = 
    48.0  ,  & !cn_1(68) = 
    50.0  ,  & !cn_1(69) = 
    51.0  ,  & !cn_1(70) = 
    52.0  ,  & !cn_1(71) = 
    53.0  ,  & !cn_1(72) = 
    54.0  ,  & !cn_1(73) = 
    55.0  ,  & !cn_1(74) = 
    57.0  ,  & !cn_1(75) = 
    58.0  ,  & !cn_1(76) = 
    59.0  ,  & !cn_1(77) = 
    60.0  ,  & !cn_1(78) = 
    62.0  ,  & !cn_1(79) = 
    63.0  ,  & !cn_1(80) = 
    64.0  ,  & !cn_1(81) = 
    66.0  ,  & !cn_1(82) = 
    67.0  ,  & !cn_1(83) = 
    68.0  ,  & !cn_1(84) = 
    70.0  ,  & !cn_1(85) = 
    72.0  ,  & !cn_1(86) = 
    73.0  ,  & !cn_1(87) = 
    75.0  ,  & !cn_1(88) = 
    76.0  ,  & !cn_1(89) = 
    78.0  ,  & !cn_1(90) = 
    80.0  ,  & !cn_1(91) = 
    81.0  ,  & !cn_1(92) = 
    83.0  ,  & !cn_1(93) = 
    85.0  ,  & !cn_1(94) = 
    87.0  ,  & !cn_1(95) = 
    89.0  ,  & !cn_1(96) = 
    91.0  ,  & !cn_1(97) = 
    94.0  ,  & !cn_1(98) = 
    97.0  ,  & !cn_1(99) = 
    100.0 /)   !cn_1(100)= 
                      
                       
   real,parameter,dimension(100) :: cn_3 = (/   &
   2.6,  &  !cn_3(1)  = 
   5.2,  &  !cn_3(2)  = 
   7.8,  &  !cn_3(3)  = 
   10.4,  &  !cn_3(4)  = 
   13.0,  &  !cn_3(5)  = 
   14.8,  &  !cn_3(6)  = 
   16.6,  &  !cn_3(7)  = 
   18.4,  &  !cn_3(8)  = 
   20.2,  &  !cn_3(9)  = 
   22.0,  &  !cn_3(10) = 
   23.6,  &  !cn_3(11) = 
   25.2,  &  !cn_3(12) = 
   26.8,  &  !cn_3(13) = 
   28.4,  &  !cn_3(14) = 
   30.0,  &  !cn_3(15) = 
   31.4,  &  !cn_3(16) = 
   32.8,  &  !cn_3(17) = 
   34.2,  &  !cn_3(18) = 
   35.6,  &  !cn_3(19) = 
   37.0,  &  !cn_3(20) = 
   38.2,  &  !cn_3(21) = 
   39.4 ,  & !cn_3(22) = 
   40.6 ,  & !cn_3(23) = 
   41.8 ,  & !cn_3(24) = 
   43.0 ,  & !cn_3(25) = 
   44.4 ,  & !cn_3(26) = 
   45.8 ,  & !cn_3(27) = 
   47.2 ,  & !cn_3(28) = 
   48.6 ,  & !cn_3(29) =     
   50.0 ,  & !cn_3(30) = 
   51.0 ,  & !cn_3(31) = 
   52.0 ,  & !cn_3(32) = 
   53.0 ,  & !cn_3(33) = 
   54.0 ,  & !cn_3(34) = 
   55.0 ,  & !cn_3(35) = 
   56.0 ,  & !cn_3(36) = 
   57.0 ,  & !cn_3(37) = 
   58.0 ,  & !cn_3(38) = 
   59.0 ,  & !cn_3(39) = 
   60.0 ,  & !cn_3(40) = 
   61.0 ,  & !cn_3(41) = 
   62.0 ,  & !cn_3(42) = 
   63.0 ,  & !cn_3(43) = 
   64.0 ,  & !cn_3(44) = 
   65.0 ,  & !cn_3(45) = 
   66.0 ,  & !cn_3(46) = 
   67.0 ,  & !cn_3(47) = 
   68.0 ,  & !cn_3(48) = 
   69.0 ,  & !cn_3(49) = 
   70.0 ,  & !cn_3(50) = 
   70.0 ,  & !cn_3(51) = 
   71.0 ,  & !cn_3(52) = 
   72.0 ,  & !cn_3(53) = 
   73.0 ,  & !cn_3(54) = 
   74.0 ,  & !cn_3(55) = 
   75.0 ,  & !cn_3(56) = 
   75.0 ,  & !cn_3(57) = 
   76.0 ,  & !cn_3(58) = 
   77.0 ,  & !cn_3(59) = 
   78.0 ,  & !cn_3(60) = 
   78.0 ,  & !cn_3(61) = 
   79.0 ,  & !cn_3(62) = 
   80.0 ,  & !cn_3(63) = 
   81.0 ,  & !cn_3(64) = 
   82.0 ,  & !cn_3(65) = 
   82.0 ,  & !cn_3(66) = 
   83.0 ,  & !cn_3(67) = 
   84.0 ,  & !cn_3(68) = 
   84.0 ,  & !cn_3(69) = 
   85.0 ,  & !cn_3(70) = 
   86.0 ,  & !cn_3(71) = 
   86.0 ,  & !cn_3(72) = 
   87.0 ,  & !cn_3(73) = 
   88.0 ,  & !cn_3(74) = 
   88.0 ,  & !cn_3(75) = 
   89.0 ,  & !cn_3(76) = 
   89.0 ,  & !cn_3(77) = 
   90.0 ,  & !cn_3(78) = 
   91.0 ,  & !cn_3(79) = 
   91.0 ,  & !cn_3(80) = 
   92.0 ,  & !cn_3(81) = 
   92.0 ,  & !cn_3(82) = 
   93.0 ,  & !cn_3(83) = 
   93.0 ,  & !cn_3(84) = 
   94.0 ,  & !cn_3(85) = 
   94.0 ,  & !cn_3(86) = 
   95.0 ,  & !cn_3(87) = 
   95.0 ,  & !cn_3(88) = 
   96.0 ,  & !cn_3(89) = 
   96.0 ,  & !cn_3(90) = 
   97.0 ,  & !cn_3(91) = 
   97.0 ,  & !cn_3(92) = 
   98.0 ,  & !cn_3(93) = 
   98.0 ,  & !cn_3(94) = 
   98.0 ,  & !cn_3(95) = 
   99.0 ,  & !cn_3(96) = 
   99.0 ,  & !cn_3(97) = 
   99.0 ,  & !cn_3(98) = 
   100.0 ,  & !cn_3(99) = 
   100.0 /)   !cn_3(100)= 
    
end module curve_number_table
    
    
    
    